LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XLocator Interface Referencepublished

makes it possible to associate a SAX event with a document location. More...

`import"XLocator.idl";`

Inheritance diagram for XLocator:

## Public Member Functions
long | getColumnNumber ()
long | getLineNumber ()
string | getPublicId ()
string | getSystemId ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

makes it possible to associate a SAX event with a document location.

This interface is an IDL version of the Java interface org.xml.sax.Locator.

## Member Function Documentation

## ◆ getColumnNumber()

long getColumnNumber | ( |  | ) |

Returns
  the column number where the current document event ends.

## ◆ getLineNumber()

long getLineNumber | ( |  | ) |

Returns
  the line number where the current document event ends.

## ◆ getPublicId()

string getPublicId | ( |  | ) |

Returns
  the public identifier for the current document event.

## ◆ getSystemId()

string getSystemId | ( |  | ) |

Returns
  the system identifier for the current document event.

The documentation for this interface was generated from the following file:

- com/sun/star/xml/sax/XLocator.idl